figure(1); clf;
subplot(2,1,2);
subplot(2,1,1); hold on;
n = 75; %number of crabs
Oe = ones(n,1);
%This vector was used to normalize the rank-distance
%plot before I had Ripley's K plot
%E = exp(0.5*log((1:(n^2-n)/2)'))/(1.2561*n-2.3146);

wander_time = 0;
escape_time = 20; % constant!
distance = 0.4;
gene1 = 0.6;
total = wander_time + escape_time;
[x y] = face(n,wander_time,distance,gene1);
for i = 1:total
	subplot(2,1,2); cla; hold on;
	plot(x(i,:),y(i,:),'o');
	plot(x(i,1),y(i,1),'rx');
	hold off;
	axis([0 1 0 1]);
	%M(i) = getframe;
	disp(i);

	X = x(i,:)';
	Y = y(i,:)';

	subplot(2,1,1);
	d = zeros((n*n - n)/2,1);
	N = 0;
	U = triu( X*Oe' - Oe*X');
	U = 1/2 - abs( 1/2 - abs(U));
	V = triu( Y*Oe' - Oe*Y');
	V = 1/2 - abs( 1/2 - abs(V));
	d = sqrt( reshape(( U .^2 + V.^2 ),n*n,1) );
	%for j=1:n
    %    for k=j+1:n
	%			u = X(k)-X(j);
	%			u = min([ abs(u) abs(u+1) abs(u-1)]);
	%			v = Y(i)-Y(j);
	%			v = min([ abs(v) abs(v+1) abs(v-1)]);
    %            N = N+1;
    %            d(N,1) = sqrt( u^2 + v^2);
    %    end
	%end
	d = sort(d);
	d = d((n*(n+1)/2):n*n);
	%plot(d-E);
	plot(d);
	pause(0.5);
end
plot(d,'r.');
xlabel('Rank');
ylabel('Distance');
axis tight;
title('Evolution of ranked distance plot over 20 ticks of escape time');
text(100,.6,strcat('Gene1 = ', num2str(gene1)));
%clf;
%movie(M);
subplot(2,1,2);
%title('Voronoi plot of final state');
%X = x(total,:);
%Y = y(total,:);
%voronoi(X,Y);
%title('Gene1 = 10, Escape time = 10 ticks'); 
%clear all;
