#ifndef _flags_cc
#define _flags_cc

#include <stdio.h>
//#include <math.h>

enum OUTPUT_TYPE { AVE, DIST, POS};
enum HEADER_TYPE { NONE, REGULAR, ONLY, SEED };

class flag_collection {
  public:
	bool tabs;
	bool newlines;
	bool scientific;
	int random_seed;
	int predation_events;
	int predation_discards;
	int print_period;
	int number_of_crabs;
	double escape_velocity;
	int escape_time;
	double mutation_rate;
	double radius;
	double gene1_start;
	char* input_file;
	FILE* input;
	OUTPUT_TYPE output;
	HEADER_TYPE header;
	
	flag_collection(int argc, char** argv);
	flag_collection();
	~flag_collection();
};

#endif
