#ifndef _my_assert_cc
#define _my_assert_cc

#ifndef mex_h

#include <iostream>
#include <stdlib.h>

void Assert(short test, const char* s) {
	double x = 0.0;
	if ( !test ) {
		std::cerr << "Error: " << s << std::endl;
		std::cerr.flush();
		x = 2.0 / x ;
		exit(0);
	}
}
#endif

#ifdef mex_h
void Assert(short test, const char* s) {
        if ( !test ) {
                mexErrMsgTxt(s);
        }
}
#endif

#endif
